Question-and-Answer Resource for the Building Energy Modeling Community
Get started with the Help page
Ask Your Question
2

How to install openstudio python binding?

asked 2023-09-19 13:44:53 -0500

Ali-Khosravani's avatar

updated 2023-09-29 07:47:14 -0500

I am trying to use python to read osm files. For that, I am using import openstudio which gives me this error: No module named 'openstudio'

According to https://pypi.org/project/openstudio/#..., I tried pip install openstudio but it gives me this error:

ERROR: Could not find a version that satisfies the requirement openstudio (from versions: none)

ERROR: No matching distribution found for openstudio

Has anyone used import openstudio before?

I am using (openstudio 3.6.0)(python 3.11.4 packaged by Anaconda)

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
3

answered 2023-09-19 17:32:16 -0500

updated 2023-09-27 15:58:03 -0500

We don't support Python 3.11 on Windows at the moment, we support 3.7, 3.8, 3.9 and 3.10.

Refer to the OpenStudio SDK Python Binding Version Compatibility Matrix for up to date information

I added an Enhancement Request at NREL#4975, go upvote if this is important for you.


Fix implemented in https://github.com/NREL/OpenStudio/pu...

You can try them with pip install -i https://test.pypi.org/simple/ openstudio==3.7.0a2. This is a nightly snapshot of the develop branch, 3.7.0-alpha, so do not use in production. @Ali-Khosravani Please report if you try them with python 3.11

edit flag offensive delete link more

Comments

I downgraded to python 3.10 and it worked.

Ali-Khosravani's avatar Ali-Khosravani  ( 2023-09-29 15:38:23 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Training Workshops

Careers

Question Tools

1 follower

Stats

Asked: 2023-09-19 13:44:53 -0500

Seen: 187 times

Last updated: Sep 29 '23